| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoMDC.registers.mre2_registers.MRE2Analog Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2Analog:

## Public Member Functions
| __init__ (self, int channel=0, board=None)

## Static Public Member Functions
| help ()

## Public Attributes
| unit
| name

## Protected Attributes
| _unitranges
| _channel

## Detailed Description

    Input Channel Systems - Analog Input
    System ID: 0x58 through 0x5f

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    | unit           |0x01  | uint 32-bit | None               |0 to 2       | 0       | See registers table 1  |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | minimm         |0x02  | float 32-bit| Volt               |             | 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | maximum        |0x03  | float 32-bit| Volt               |             | 0       |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |mapping_minimum |0x04  | float 32-bit| A / None / Degrees |             | 0       | Unit depends on 0x0301 |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    |mapping_maximum |0x05  | float 32-bit| A / None / Degrees |             | 0       | Unit depends on 0x0301 |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

    registers table 1:

    +---------------------+-------+
    | Analogue Input Unit | Value |
    +=====================+=======+
    | Current             | 0     |
    +---------------------+-------+
    | OF                  | 1     |
    +---------------------+-------+
    | XY                  | 2     |
    +---------------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.MRE2Analog.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoMDC.registers.mre2_registers.MRE2Analog.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _channel

optoMDC.registers.mre2_registers.MRE2Analog._channel
| protected

## ◆ _unitranges

optoMDC.registers.mre2_registers.MRE2Analog._unitranges
| protected

## ◆ name

optoMDC.registers.mre2_registers.MRE2Analog.name

## ◆ unit

optoMDC.registers.mre2_registers.MRE2Analog.unit

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py